View Issue Details

IDProjectCategoryView StatusLast Update
0001698Far ManagerCopy/Movepublic2011-03-09 16:38
ReportersshumakovAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version2.0 
Target VersionFixed in Version3.0 
Summary0001698: Ошибка при подсчете количества файлов при копировании
DescriptionПопытался скопировать дистрибутивы AutoCAD 2010 и AutoCAD 2011 с одной сетевой шары на другую сетевую шару. Как это выглядит видно на скриншоте.
P.S. 2.0 build 1777 x64
TagsNo tags attached.
Build1810

Activities

sshumakov

2011-02-03 07:15

reporter  

FAR_copy_bug.png (53,220 bytes)
FAR_copy_bug.png (53,220 bytes)

sshumakov

2011-02-03 07:22

reporter   bugnote:0006339

М.б. существенно то, что один из копируемых каталогов - это symlink.

DrKnS

2011-02-03 11:14

administrator   bugnote:0006340

Примеры у вас фееричные - для воспроизведения, видимо, предлагается скачать автокад?

1810.

sshumakov

2011-02-04 05:48

reporter  

sshumakov

2011-02-04 05:49

reporter  

FAR_copy_bug_symlink.png (46,380 bytes)
FAR_copy_bug_symlink.png (46,380 bytes)

sshumakov

2011-02-04 05:50

reporter   bugnote:0006348

Т.е. без натурного теста выловить багу совсем никак? Ok, посмотрите на мое дополнение про симлинк. Прямо сейчас проверил, попытавшись скопировать каталог с файловой DFS шары, которая к тому же является симлинком. См. картинку на FAR_copy_bug_dfs_symlink.png. Потом решил скопировать этот же каталог напрямую, не через DFS, теже яйца, вид сбоку (см. FAR_copy_bug_symlink.png). Таким образом, если на файловой шаре каталог сделан как симлинк, то фар не может подсчитать количество файлов в ней и прогрессбар сходит с ума.

Технические характеристики файлового сервера нужны?

abelenki

2011-02-04 05:58

reporter   bugnote:0006349

так вроде ж написали, что в 1810 пофикшено...

sshumakov

2011-02-04 14:25

reporter   bugnote:0006352

Last edited: 2011-02-04 14:25

View 2 revisions

Прошу прощения, но мне эта информация недоступна. В ночных сборках по адресу http://farmanager.com/download.php?l=ru я вижу только 1807.

Far Manager v2.0 build 1807 x86 (2011-02-03) полный список изменений
Последнее изменение: drkns 02.02.2011 08:36:12 +0200 - build 1807

Если бага исправлена, то кейс можно закрыть. Спасибо за инфу )

Issue History

Date Modified Username Field Change
2011-02-03 07:15 sshumakov New Issue
2011-02-03 07:15 sshumakov File Added: FAR_copy_bug.png
2011-02-03 07:22 sshumakov Note Added: 0006339
2011-02-03 11:14 DrKnS Note Added: 0006340
2011-02-03 11:14 DrKnS Assigned To => DrKnS
2011-02-03 11:14 DrKnS Status new => feedback
2011-02-04 05:48 sshumakov File Added: FAR_copy_bug_dfs_symlink.png
2011-02-04 05:49 sshumakov File Added: FAR_copy_bug_symlink.png
2011-02-04 05:50 sshumakov Note Added: 0006348
2011-02-04 05:50 sshumakov Status feedback => assigned
2011-02-04 05:58 abelenki Note Added: 0006349
2011-02-04 14:25 sshumakov Note Added: 0006352
2011-02-04 14:25 sshumakov Note Edited: 0006352 View Revisions
2011-03-09 16:38 DrKnS Build => 1810
2011-03-09 16:38 DrKnS Status assigned => closed
2011-03-09 16:38 DrKnS Resolution open => fixed
2011-03-09 16:38 DrKnS Fixed in Version => 3.0